org.eclipse.oomph.util

## Class XMLUtil.ElementUpdater

- java.lang.Object
- - org.eclipse.oomph.util.XMLUtil.ElementUpdater

- Enclosing class:
    XMLUtil

      public static final class XMLUtil.ElementUpdater
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLUtil.ElementUpdater(Element rootElement, String tagName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `update(String text, String newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLUtil.ElementUpdater

          public XMLUtil.ElementUpdater(Element rootElement,
                                String tagName)
                                 throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### update

          public String update(String text,
                      String newValue)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html